---
title: "Contrato histórico: POST add-payment-card | Documentación de Ordering.co"
description: "Contrato histórico de la API de Ordering.co para POST /payments/{gateway}/cards, conservado como referencia."
canonical: https://docs.ordering.co/es/api-reference/guides/history/add-payment-card/
---

# Contrato histórico: POST add-payment-card

[]()

> **Contrato histórico de API.** Esta página describe un contrato anterior. Los métodos, las rutas y las respuestas pueden diferir de la API vigente.

## Significado histórico

Añadir tarjeta de pago

## API vigente

Para desarrollar una integración nueva, consulta la referencia o guía vigente enlazada.

[Ver la referencia de la API vigente](https://docs.ordering.co/es/api-reference/#tag/payments/POST/payments/%7Bgateway%7D/cards)

## Parámetros

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "gateway",
    "in": "path",
    "schema": {
      "type": "string"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Cuerpo de solicitud

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "business_id": {
            "type": "integer",
            "format": "int32"
          },
          "token_id": {
            "type": "integer",
            "format": "int32"
          },
          "user_id": {
            "type": "string"
          }
        }
      }
    }
  }
}
```

## Respuestas

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": \"<redacted-payment-id>\"\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "string",
              "example": "<redacted-payment-id>"
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The Business field is required.\",\n    \"The User field is required.\",\n    \"The token id field is required.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The Business field is required."
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
